@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

@include themify("connection-cell", $themes) {
  background-color: themed("panel-background");

  &.connected {
    background-color: themed("status-active");
  }

  &.selected:not(.connected) {
    background-color: themed("panel-background-selected");
  }

  &.danger {
    background-color: themed("status-danger");
  }

  &.disabled,
  &.disabled:hover {
    background-color: themed("background") !important;
  }
}
